> ## Documentation Index
> Fetch the complete documentation index at: https://facetai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload dataset

> Upload a dataset file to storage



## OpenAPI

````yaml POST /datasets/upload
openapi: 3.1.0
info:
  title: Gemma Dataset Preprocessing Service
  description: A modular service for preprocessing datasets into ChatML format
  version: 2.0.0
servers:
  - url: https://preprocessing-service-433968519479.us-central1.run.app
security: []
paths:
  /datasets/upload:
    post:
      summary: Upload Dataset
      description: Upload a dataset file to storage
      operationId: upload_dataset_datasets_upload_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_upload_dataset_datasets_upload_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetUploadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_upload_dataset_datasets_upload_post:
      properties:
        file:
          type: string
          format: binary
          title: File
      type: object
      required:
        - file
      title: Body_upload_dataset_datasets_upload_post
    DatasetUploadResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        filename:
          type: string
          title: Filename
        gcs_path:
          type: string
          title: Gcs Path
        size_bytes:
          type: integer
          title: Size Bytes
        sample:
          items:
            type: object
          type: array
          title: Sample
        columns:
          items:
            type: string
          type: array
          title: Columns
        num_examples:
          type: integer
          title: Num Examples
      type: object
      required:
        - dataset_id
        - filename
        - gcs_path
        - size_bytes
        - sample
        - columns
        - num_examples
      title: DatasetUploadResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````